# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.mock.env.MockPropertySource
Modifier and Type
Constant Field
Value
`public static final String`
`MOCK_PROPERTIES_PROPERTY_SOURCE_NAME`
`"mockProperties"`

org.springframework.mock.web.MockHttpServletRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PROTOCOL`
`"HTTP/1.1"`
`public static final String`
`DEFAULT_REMOTE_ADDR`
`"127.0.0.1"`
`public static final String`
`DEFAULT_REMOTE_HOST`
`"localhost"`
`public static final String`
`DEFAULT_SCHEME`
`"http"`
`public static final String`
`DEFAULT_SERVER_ADDR`
`"127.0.0.1"`
`public static final String`
`DEFAULT_SERVER_NAME`
`"localhost"`
`public static final int`
`DEFAULT_SERVER_PORT`
`80`
org.springframework.mock.web.MockHttpSession
Modifier and Type
Constant Field
Value
`public static final String`
`SESSION_COOKIE_NAME`
`"JSESSION"`

org.springframework.test.context.CacheAwareContextLoaderDelegate
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_FAILURE_THRESHOLD_PROPERTY_NAME`
`"spring.test.context.failure.threshold"`
`public static final int`
`DEFAULT_CONTEXT_FAILURE_THRESHOLD`
`1`
org.springframework.test.context.NestedTestConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`ENCLOSING_CONFIGURATION_PROPERTY_NAME`
`"spring.test.enclosing.configuration"`
org.springframework.test.context.TestConstructor
Modifier and Type
Constant Field
Value
`public static final String`
`TEST_CONSTRUCTOR_AUTOWIRE_MODE_PROPERTY_NAME`
`"spring.test.constructor.autowire.mode"`

org.springframework.test.context.aot.TestContextAotGenerator
Modifier and Type
Constant Field
Value
`public static final String`
`FAIL_ON_ERROR_PROPERTY_NAME`
`"spring.test.aot.processing.failOnError"`

org.springframework.test.context.bean.override.BeanOverrideTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`1950`

org.springframework.test.context.bean.override.mockito.MockitoResetTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`2147483547`

org.springframework.test.context.cache.ContextCache
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT_CACHE_LOGGING_CATEGORY`
`"org.springframework.test.context.cache"`
`public static final int`
`DEFAULT_MAX_CONTEXT_CACHE_SIZE`
`32`
`public static final String`
`MAX_CONTEXT_CACHE_SIZE_PROPERTY_NAME`
`"spring.test.context.cache.maxSize"`

org.springframework.test.context.event.ApplicationEventsTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`1800`
org.springframework.test.context.event.EventPublishingTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`10000`

org.springframework.test.context.jdbc.SqlScriptsTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`5000`

org.springframework.test.context.support.CommonCachesTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`3005`
org.springframework.test.context.support.DependencyInjectionTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`2000`
org.springframework.test.context.support.DirtiesContextBeforeModesTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`1500`
org.springframework.test.context.support.DirtiesContextTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`3000`
org.springframework.test.context.support.TestPropertySourceUtils
Modifier and Type
Constant Field
Value
`public static final String`
`INLINED_PROPERTIES_PROPERTY_SOURCE_NAME`
`"Inlined Test Properties"`

org.springframework.test.context.transaction.TestContextTransactionUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DATA_SOURCE_NAME`
`"dataSource"`
`public static final String`
`DEFAULT_TRANSACTION_MANAGER_NAME`
`"transactionManager"`
org.springframework.test.context.transaction.TransactionalTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`4000`

org.springframework.test.context.web.ServletTestExecutionListener
Modifier and Type
Constant Field
Value
`public static final int`
`ORDER`
`1000`

org.springframework.test.web.reactive.server.WebTestClient
Modifier and Type
Constant Field
Value
`public static final String`
`WEBTESTCLIENT_REQUEST_ID`
`"WebTestClient-Request-Id"`